Skip to main content
GET
/
lock
/
clmm
/
position
Get locked CLMM position metadata
curl --request GET \
  --url https://dynamic-ipfs.raydium.io/lock/clmm/position
import requests

url = "https://dynamic-ipfs.raydium.io/lock/clmm/position"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://dynamic-ipfs.raydium.io/lock/clmm/position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "poolInfo": {
    "id": "<string>",
    "programId": "<string>",
    "mintA": {
      "address": "<string>",
      "decimals": 123,
      "symbol": "<string>"
    },
    "mintB": {
      "address": "<string>",
      "decimals": 123,
      "symbol": "<string>"
    },
    "tvl": 123,
    "rewardDefaultInfos": [
      {
        "mint": {
          "address": "<string>",
          "decimals": 123,
          "symbol": "<string>"
        }
      }
    ]
  },
  "positionInfo": {
    "tvlPercentage": 123,
    "usdValue": 123,
    "amountA": 123,
    "amountB": 123,
    "unclaimedFee": {
      "amountA": 123,
      "amountB": 123,
      "usdFeeValue": 123,
      "reward": [
        123
      ],
      "usdRewardValue": 123,
      "usdValue": 123
    }
  }
}
"<string>"
"<string>"
"<string>"

Query Parameters

id
string
required

Locked position PDA public key (base58)

Response

Success

Complete CLMM position with pool details and valuation

poolInfo
object
required

Concentrated Liquidity Market Maker pool information

positionInfo
object
required

CLMM position state